Subject: Re: [rtcweb] [rtcweb-wg/jsep] Patch 1 (#862)

From: Adam Roach <[email-masked]>
Date: Thu, 24 Jan 2019 15:48:28 -0600

On 1/24/19 3:30 PM, Nils Ohlmeier wrote:
>
> *@nils-ohlmeier* approved this pull request.
>
> In general this looks like a reasonable path forward. Ideally I would 
> like to see some clarity added for trickle ICE implementations (see 
> comment below).
>
> ------------------------------------------------------------------------
>
> In draft-ietf-rtcweb-jsep.xml 
> <https://github.com/rtcweb-wg/jsep/pull/862#discussion_r250783916>:
>
> > @@ -1799,9 +1799,27 @@ candidate:1 1 UDP 1694498815 192.0.2.33 10000 typ host
>   
>             <t>For media m= sections, JSEP implementations MUST support
>             the "UDP/TLS/RTP/SAVPF" profile specified in
> -          <xref target="RFC5764"></xref>, and MUST indicate this
> -          profile for each media m= line they produce in an offer. For
> -          data m= sections, implementations MUST support the
> +          <xref target="RFC5764"></xref>. Implementations MUST indicate this
> +          profile for each media m= line they produce in an offer unless the
> +          media section contains only TCP candidates; if all candidates use TCP as a
>
> Ideally it would be a little bit more clear what this sentence 
> translates to for trickle ICE implementations. I would expect that a 
> trickle ICE implementation should start with "UDP/TLS/RTP/SAVPF". But 
> I can see how someone could mis-read this in the way he/she thinks the 
> implementation needs to wait for trickle ICE gathering to be finished 
> to decide which protocol to use in the m= line. And thus would void 
> the trickle ICE benefits for the purpose of obeying to this sentence.
>

Because trickling in RTCWEB always starts with no candidates in the SDP, 
I think the behavior here is reasonably clear (see section 5.2.1). That 
said, if you'd like to propose specific language to address your 
concern, please do so.

/a